Index: tests/regression/Atoms/SaveSelectedAtoms/post/testsave.xyz
===================================================================
--- tests/regression/Atoms/SaveSelectedAtoms/post/testsave.xyz	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
+++ tests/regression/Atoms/SaveSelectedAtoms/post/testsave.xyz	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for SaveSelectedAtoms test
+H	10	10	10
Index: tests/regression/Atoms/SaveSelectedAtoms/pre/test.xyz
===================================================================
--- tests/regression/Atoms/SaveSelectedAtoms/pre/test.xyz	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
+++ tests/regression/Atoms/SaveSelectedAtoms/pre/test.xyz	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
@@ -0,0 +1,4 @@
+2
+	Created by molecuilder for SaveSelectedAtoms test
+H	10.	10.	10.
+H	11.	10.	10.
Index: tests/regression/Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at
===================================================================
--- tests/regression/Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
+++ tests/regression/Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
@@ -0,0 +1,8 @@
+### Removing atoms inside sphere
+
+AT_SETUP([Atoms - Save selected atoms])
+AT_KEYWORDS([atoms,save,selection])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/SaveSelectedAtoms/pre/test.xyz .], 0)
+AT_CHECK([../../molecuilder -i test.xyz --select-atom-by-id 0 --save-selected-atoms testsave.xyz], 0, [stdout], [stderr])
+AT_CHECK([file=testsave.xyz; diff -I '.*Created by.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/SaveSelectedAtoms/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Atoms/testsuite-atoms.at
===================================================================
--- tests/regression/Atoms/testsuite-atoms.at	(revision 8009ce8388c713891077297db7c3f7b0aa88b397)
+++ tests/regression/Atoms/testsuite-atoms.at	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
@@ -1,3 +1,6 @@
 AT_BANNER([MoleCuilder - Atoms])
+
+# save selected
+m4_include([Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at])
 
 # add atom
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 8009ce8388c713891077297db7c3f7b0aa88b397)
+++ tests/regression/Makefile.am	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
@@ -26,4 +26,5 @@
 	$(srcdir)/Atoms/RemoveInsideSphere/testsuite-atoms-remove-inside-sphere.at \
 	$(srcdir)/Atoms/RemoveInsideCuboid/testsuite-atoms-remove-inside-cuboid.at \
+	$(srcdir)/Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at \
 	$(srcdir)/Atoms/Translation/testsuite-atoms-translation.at \
 	$(srcdir)/Analysis/testsuite-analysis.at \
@@ -53,4 +54,5 @@
 	$(srcdir)/Graph/SubgraphDissection/testsuite-graph-subgraph-dissection.at \
 	$(srcdir)/Molecules/testsuite-molecules.at \
+	$(srcdir)/Molecules/SaveSelectedMolecules/testsuite-molecules-save-selected-molecules.at \
 	$(srcdir)/Molecules/BondFile/testsuite-molecules-bond-file.at \
 	$(srcdir)/Molecules/SaveAdjacency/testsuite-molecules-save-adjacency.at \
Index: tests/regression/Molecules/SaveSelectedMolecules/post/testsave.xyz
===================================================================
--- tests/regression/Molecules/SaveSelectedMolecules/post/testsave.xyz	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
+++ tests/regression/Molecules/SaveSelectedMolecules/post/testsave.xyz	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
@@ -0,0 +1,5 @@
+3
+	Created by molecuilder for SaveSelectedMolecules test
+O	0	0	0
+H	0.758602	0	0.504284
+H	0.758602	0	-0.504284
Index: tests/regression/Molecules/SaveSelectedMolecules/pre/test.xyz
===================================================================
--- tests/regression/Molecules/SaveSelectedMolecules/pre/test.xyz	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
+++ tests/regression/Molecules/SaveSelectedMolecules/pre/test.xyz	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
@@ -0,0 +1,8 @@
+6
+	Created by molecuilder for SaveSelectedMolecules test
+O	0	0	0
+H	0.758602	0	0.504284
+H	0.758602	0	-0.504284
+O	5	0	0
+H	5.758602	0	0.504284
+H	5.758602	0	-0.504284
Index: tests/regression/Molecules/SaveSelectedMolecules/testsuite-molecules-save-selected-molecules.at
===================================================================
--- tests/regression/Molecules/SaveSelectedMolecules/testsuite-molecules-save-selected-molecules.at	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
+++ tests/regression/Molecules/SaveSelectedMolecules/testsuite-molecules-save-selected-molecules.at	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
@@ -0,0 +1,8 @@
+### Storing temperature
+
+AT_SETUP([Molecules - Save selected molecules])
+AT_KEYWORDS([Molecules,save,selection])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/SaveSelectedMolecules/pre/test.xyz .], 0)
+AT_CHECK([../../molecuilder -i test.xyz -I --select-molecule-by-order 1 -s testsave.xyz], 0, [stdout], [stderr])
+AT_CHECK([file=testsave.xyz; diff -I '.*Created by.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Molecules/SaveSelectedMolecules/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Molecules/testsuite-molecules.at
===================================================================
--- tests/regression/Molecules/testsuite-molecules.at	(revision 8009ce8388c713891077297db7c3f7b0aa88b397)
+++ tests/regression/Molecules/testsuite-molecules.at	(revision e355762f9447acb9c234eadd3df6adc314e5dee7)
@@ -1,3 +1,6 @@
 AT_BANNER([MoleCuilder - Molecules])
+
+# Save selected
+m4_include([Molecules/SaveSelectedMolecules/testsuite-molecules-save-selected-molecules.at])
 
 # Bonds from file
